Bug 460319 - Calling of gdb from valgrind doesn't produce any reasonable backtrace
Calling of gdb from valgrind doesn't produce any reasonable backtrace
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 10:45 EDT by Matěj Cepl
Modified: 2018-04-11 05:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: gdb-6.8-24.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-01 20:59:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of valgrind (214.00 KB, text/plain)
2008-08-27 10:45 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2008-08-27 10:45:15 EDT
Created attachment 315106 [details]
output of valgrind

Description of problem:
When trying to analyze http://bugzilla.gnome.org/show_bug.cgi?id=537740 and https://bugzilla.redhat.com/show_bug.cgi?id=453284 I run
valgrind --leak-check=full --show-reachable=yes --db-attach=yes /usr/bin/empathy
I got the attached results.

Version-Release number of selected component (if applicable):
[matej@hubmaier ~]$ rpm -qa kernel gdb valgrind
kernel-2.6.27-0.244.rc2.git1.fc10.x86_64
kernel-2.6.27-0.186.rc0.git15.fc10.x86_64
kernel-2.6.27-0.159.rc0.git6.fc10.x86_64
valgrind-3.3.0-3.x86_64
gdb-6.8-22.fc10.x86_64
kernel-2.6.27-0.156.rc0.git4.fc10.x86_64
[matej@hubmaier ~]$ uname -r
2.6.27-0.244.rc2.git1.fc10.x86_64
[matej@hubmaier ~]$ 


How reproducible:
100%

Steps to Reproduce:
1.run the above command with empathy which fails to run on FGedora.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-08-27 10:47:54 EDT
[matej@hubmaier ~]$ valgrind --leak-check=full --show-reachable=yes --db-attach=yes --log-file=empathy-valgrind-log.txt /usr/bin/empathy

y

GNU gdb Fedora (6.8-22.fc10)

Copyright (C) 2008 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying"

and "show warranty" for details.

This GDB was configured as "x86_64-redhat-linux-gnu"...

Attaching to program: /proc/18260/fd/1014, process 18260

0x00000032184dae45 in ?? ()

(gdb) thread apply all backtrace 

(gdb) quit

The program is running.  Quit anyway (and detach it)? (y or n) y

Detaching from program: /proc/18260/fd/1014, process 18260

y

GNU gdb Fedora (6.8-22.fc10)

Copyright (C) 2008 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying"

and "show warranty" for details.

This GDB was configured as "x86_64-redhat-linux-gnu"...

Attaching to program: /proc/18312/fd/1014, process 18312

0x00000032184cd0f6 in ?? ()

(gdb) thread apply all backtrace

(gdb) quit

The program is running.  Quit anyway (and detach it)? (y or n) y

Detaching from program: /proc/18312/fd/1014, process 18312

y

GNU gdb Fedora (6.8-22.fc10)

Copyright (C) 2008 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying"

and "show warranty" for details.

This GDB was configured as "x86_64-redhat-linux-gnu"...

Attaching to program: /proc/18333/fd/1014, process 18333

0x00000032184cd0f6 in ?? ()

(gdb) quit

The program is running.  Quit anyway (and detach it)? (y or n) y

Detaching from program: /proc/18333/fd/1014, process 18333

^[[5;5~Zabit (SIGKILL)

[matej@hubmaier ~]$ 

[matej@hubmaier ~]$
Comment 2 Jan Kratochvil 2008-08-30 17:38:00 EDT
Reproducible.
It is a regression from `gdb-6.3-pie-20050110.patch' (Position Independent Executables support).
Comment 3 Jan Kratochvil 2008-09-01 20:59:48 EDT
Nice bigreport - /proc/PID/aux does not match the provided BFD file as aux is for memcheck.

* Tue Sep  2 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.8-24
- Fix PIE patch regression for loading binaries from valgrind (BZ 460319).
Comment 4 Fedora Update System 2008-09-02 03:16:44 EDT
gdb-6.8-22.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gdb-6.8-22.fc9
Comment 5 Fedora Update System 2008-09-10 03:11:11 EDT
gdb-6.8-22.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.